import { Schedule } from "./schedule.js";
export declare class Job {
    #private;
    constructor(id: string, schedule: Schedule, fn: (() => void) | null);
    Id(): string;
    Expression(): string;
    Run(): void;
    toJSON(): {
        id: string;
        expression: string;
    };
}
